<?php
require_once("../../functions.php");
if(comprobar_override(str_replace($_SERVER['DOCUMENT_ROOT'], '', __FILE__))) exit;

$pag=basename($_SERVER['PHP_SELF']);
comprobar_postget("post", ["id"], $pag, true, "/views/tables/fichajes");
gen_plantilla(true,$pag,false,false,'',false,false);

if (session_status() !== PHP_SESSION_ACTIVE) session_start();
if (!isset($_SESSION['tipo_usuario']) || $_SESSION['tipo_usuario'] !== 'admin') {
    crear_notificacion("error", "No tienes permisos para realizar esta acción");
    exit;
}
/*******************************************************************************
 *                               [Parámetros]                                  *
 *******************************************************************************/

if (isset($_POST["id"])) {
    $id = filter_input(INPUT_POST, "id", FILTER_SANITIZE_NUMBER_INT);
    /*******************************************************************************
     *                                 [Consulta]                                  *
     *******************************************************************************/
    $nombre = consulta("SELECT nombre FROM empleados WHERE id=?;", [$id], true)[0]["nombre"];
    $consulta = "DELETE FROM empleados WHERE id=?;";
    if (!consulta($consulta, [$id], false)) {
        crear_log(
            "error",
            "Error al eliminar empleado",
            $pag,
            "Se ha intentado eliminar el empleado, pero ha ocurrido un error en la consulta."
        );
        crear_notificacion('error','No se ha podido eliminar el empleado');
    } else {
        crear_log(
            "info",
            "Empleado eliminado",
            $pag,
            "Se ha eliminado el empleado <b>[$nombre]</b> con id <b>[$id]</b> correctamente."
        );
        //Eliminar usuario
        consulta("DELETE FROM `usuarios` WHERE id_empleado=?", [$id], false);
        //Guardar en empleados eliminados
        consulta("INSERT INTO `empleados_eliminados`(`id_empleado`, `nombre`, `fecha`) VALUES (?, ?, ?)", [$id, $nombre, date("Y-m-d")], false);
        crear_notificacion('correcto','Empleado eliminado correctamente');
    }
} else {
    crear_log(
        "error",
        "Sin parámetros",
        $pag,
        "No se ha podido eliminar el empleado, porque no hay parámetros para procesarlo."
    );
    crear_notificacion('error','No se ha podido eliminar el empleado');
}
